Subject: Re: [PATCH 5/7] IBM Akebono: Add support to the EHCI platform driver for Akebono

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 06 Nov 2013 14:58:16 +1100

On Wed, 2013-11-06 at 14:50 +1100, Alistair Popple wrote:
> Actually a grep of "usb-ehci" turns up the ehci-ppc-of driver which I somehow 
> missed. This driver works and uses .compatible = "usb-ehci" so I can use that 
> instead if that is preferable?
> 
> However it is basically the same as the ehci-platform driver so I guess at 
> some point the two should be merged...

I think the split predates the grand unification of "of" driver and platform,
so yes they should.

Cheers,
Ben.